#include "colors.inc"
#include "metals.inc"
#include "finish.inc"
#include "textures.inc"

/*
camera {
	location <0.0, 0.2, -2>
	look_at <0,0.3,0>
}
*/

camera {
	right 3.3*x
	location <0.0, 0.3, -2.5>
	angle 55
	look_at <0,0.3,0>
}


light_source {
    <-4, 5, -2>
    color White
    spotlight
    radius 2
    falloff 3
    tightness 5
    point_at <1.6, 0, 1>
}

light_source {
    <5, 5, -3>
    color White
    spotlight
    radius 2
    falloff 3
    tightness 3
    point_at <-1, 0, 1>
}

light_source {
    <10, 5, -3>
    color White
    spotlight
    radius 2
    falloff 3
    tightness 3
    point_at <0, 0, 1>
}

light_source {
    <1, 5, -0.5>
    color White
    spotlight
    radius 3
    falloff 4
    tightness 3
    point_at <-1.5, 0, 1>
}

light_source {
    <-1, 5, -0.5>
    color White
    spotlight
    radius 2
    falloff 3
    tightness 5
    point_at <0.2, 0, 1>
}

light_source {
    <0.3, 1, -3.5>
    color White
    spotlight
    radius 4
    falloff 6
    tightness 5
    point_at <clock*-1.8, 0, 1>
}

light_source {
    <-10, 1, -3>
    color White
    spotlight
    radius 4
    falloff 6
    tightness 3
    point_at <clock*-2.4, 1, 1>
}

light_source {
    <3, 5, 3>
    color White
    spotlight
    radius 4
    falloff 6
    tightness 3
    point_at <-0.5, 1, 1>
}

light_source {
    <-3, 5, 3>
    color White
    spotlight
    radius 4
    falloff 6
    tightness 3
    point_at <0.9, 1, 1>
}

plane { z, -4
	
  pigment {
    bozo
    turbulence 0.85
    octaves 6
    omega 0.7
    lambda 2

    color_map {
      [0.0 0.1 color rgb <0.00, 0.00, 0.85>  color rgb <0.00, 0.00, 0.75>]
      [0.1 0.5 color rgb <0.00, 0.00, 0.75>  color rgb <0.75, 0.75, 0.75>]
      [0.5 1.0 color rgb <0.75, 0.75, 0.75>  color rgb <1, 1, 1>]
    }

    scale 17
  }

  finish {ambient 1.0  diffuse 0.0 }
  rotate <0,30,0>
  translate <-7.7,0,0>
}


text { ttf "GUNSHIP2.TTF" "xine" 0.3, 0

  texture { Chrome_Metal }
  finish {
    ambient 0.1  diffuse 0.9  
    specular 1 roughness 0.3
    phong .75
    phong_size 100 
    reflection 0.40 metallic 
  }
  translate <-1.7,0,1>
}

#if ( clock > 1.8 )

text { ttf "GUNSHIP2.TTF" "http://xine.sf.net" 0.1, 0
  texture { Chrome_Metal }
  finish {
    ambient 0.1  diffuse 0.9  
    specular 1 roughness 0.3
    phong .75
    phong_size 100 
    reflection 0.40 metallic 
  }
  scale <0.1,0.1,0.1>
  translate <0.18,-0.1,0.9>
}

#end
